Affected QGIS version:master Regression?: No
Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24357

Description

I get the next error with OSGearth vertion 2.7 or 2.8 compiling QGIS Master v2.99.0r806d225rrr in Arch Linux x64

Scanning dependencies of target globeplugin

[ 89%] Building CXX object src/plugins/globe/CMakeFiles/globeplugin.dir/globe_plugin.cpp.o

[ 89%] Building CXX object src/plugins/grass/7/CMakeFiles/grassplugin7.dir/__/qgsgrasseditrenderer.cpp.o

In file included from /usr/include/osgEarthQt/ViewerWidget:26:0,

                 from /home/samtux/Manjaro/aur/qgis-git/src/qgis/src/plugins/globe/globe_plugin.cpp:60:

/usr/include/osgQt/GraphicsWindowQt:17:21: fatal error: QGLWidget: No such file or directory

 #include <QGLWidget>

                     ^

compilation terminated.

make[2]: *** [src/plugins/globe/CMakeFiles/globeplugin.dir/build.make:97:

src/plugins/globe/CMakeFiles/globeplugin.dir/globe_plugin.cpp.o] Error 1

make[1]: *** [CMakeFiles/Makefile2:2990: src/plugins/globe/CMakeFiles/globeplugin.dir/all] Error 2

make[1]: *** Se espera a que terminen otras tareas....

[ 89%] Building CXX object src/plugins/grass/7/CMakeFiles/grassplugin7.dir/__/qgsgrassplugin.cpp.o

[ 89%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefconfigdialog.cpp.o

[ 89%] Building CXX object src/plugins/grass/7/CMakeFiles/grassplugin7.dir/__/qgsgrassselect.cpp.o

[ 89%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefdatapoint.cpp.o

/home/samtux/Manjaro/aur/qgis-git/src/qgis/src/plugins/grass/qgsgrassplugin.cpp: En la función miembro ‘void

QgsGrassPlugin::newVector()’:

/home/samtux/Manjaro/aur/qgis-git/src/qgis/src/plugins/grass/qgsgrassplugin.cpp:604:20: aviso: la variable ‘Map’ puede ser

sobreescrita por ‘longjmp’ o ‘vfork’ [-Wclobbered]

   struct Map_info *Map = 0;

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
